org.apache.ignite.spi

## Class IgniteSpiVersionCheckException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.spi.IgniteSpiException
          - - org.apache.ignite.spi.IgniteSpiVersionCheckException

All Implemented Interfaces:
  Serializable

    public class IgniteSpiVersionCheckException
    extends IgniteSpiException

Grid SPI exception for version check failure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteSpiVersionCheckException(String msg)` Creates new SPI exception with given error message.
`IgniteSpiVersionCheckException(String msg, Throwable cause)` Creates new SPI exception with given error message and optional nested exception.
`IgniteSpiVersionCheckException(Throwable cause)` Creates new SPI exception given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteSpiVersionCheckException

    public IgniteSpiVersionCheckException(String msg)

Creates new SPI exception with given error message.

Parameters:
  `msg` - Error message.

#### IgniteSpiVersionCheckException

    public IgniteSpiVersionCheckException(Throwable cause)

Creates new SPI exception given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### IgniteSpiVersionCheckException

    public IgniteSpiVersionCheckException(String msg,
                                  Throwable cause)

Creates new SPI exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested message.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017